export declare type IntegrationLinkType = 'trello' | 'jira';
export declare const IntegrationLinkType: {
    Trello: IntegrationLinkType;
    Jira: IntegrationLinkType;
};
export interface IntegrationLink {
    key: string;
    description: string;
    integrationLinkType: IntegrationLinkType;
    url: string;
}
