import { OnInit, OnDestroy } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { Subscription } from 'rxjs';
import { FormBuilder, FormGroup, FormArray } from '@angular/forms';
export declare class ExpandDialogComponent implements OnInit, OnDestroy {
    dialogRef: MatDialogRef<ExpandDialogComponent>;
    private formBuilder;
    data: any;
    formControlSubscription: Subscription;
    formGroupSubscription: Subscription;
    formGroup: FormGroup;
    constructor(dialogRef: MatDialogRef<ExpandDialogComponent>, formBuilder: FormBuilder, data: any);
    ngOnInit(): void;
    values(): FormArray;
    buildFormGroup(): void;
    add(): void;
    remove(index: any): void;
    ngOnDestroy(): void;
    close(): void;
}
