export declare type RolloutRuleComparator = 'isOneOf' | 'isNotOneOf' | 'contains' | 'doesNotContain' | 'semVerIsOneOf' | 'semVerIsNotOneOf' | 'semVerLess' | 'semVerLessOrEquals' | 'semVerGreater' | 'semVerGreaterOrEquals' | 'numberEquals' | 'numberDoesNotEqual' | 'numberLess' | 'numberLessOrEquals' | 'numberGreater' | 'numberGreaterOrEquals' | 'sensitiveIsOneOf' | 'sensitiveIsNotOneOf';
export declare const RolloutRuleComparator: {
    IsOneOf: RolloutRuleComparator;
    IsNotOneOf: RolloutRuleComparator;
    Contains: RolloutRuleComparator;
    DoesNotContain: RolloutRuleComparator;
    SemVerIsOneOf: RolloutRuleComparator;
    SemVerIsNotOneOf: RolloutRuleComparator;
    SemVerLess: RolloutRuleComparator;
    SemVerLessOrEquals: RolloutRuleComparator;
    SemVerGreater: RolloutRuleComparator;
    SemVerGreaterOrEquals: RolloutRuleComparator;
    NumberEquals: RolloutRuleComparator;
    NumberDoesNotEqual: RolloutRuleComparator;
    NumberLess: RolloutRuleComparator;
    NumberLessOrEquals: RolloutRuleComparator;
    NumberGreater: RolloutRuleComparator;
    NumberGreaterOrEquals: RolloutRuleComparator;
    SensitiveIsOneOf: RolloutRuleComparator;
    SensitiveIsNotOneOf: RolloutRuleComparator;
};
