import { SettingValueModel } from '../_models/settingValueModel';
import { SettingValuesModel } from '../_models/settingValuesModel';
import { FormBuilder, FormGroup } from '@angular/forms';
import { SettingType } from '../_models/settingType';
import { RolloutPercentageItemModel } from '../_models/rolloutPercentageItemModel';
import { RolloutRuleModel } from '../_models/rolloutRuleModel';
export declare class FormHelper {
    private formBuilder;
    constructor(formBuilder: FormBuilder);
    createSettingValuesFormGroup(settingValuesModel: SettingValuesModel): FormGroup;
    createSettingValueFormGroup(settingValueModel: SettingValueModel, readOnly: boolean): FormGroup;
    createRolloutPercentageItemFormGroup(p: RolloutPercentageItemModel, readOnly: boolean, settingType: SettingType): FormGroup;
    createRolloutRuleFormGroup(r: RolloutRuleModel, readOnly: boolean, settingType: SettingType): FormGroup;
    private getValidatorsForSettingType;
    private getAllRolloutRules;
    private getComparisonAttributes;
}
