import { FormGroup, FormControl, FormArray } from '@angular/forms';
import { SettingType, RolloutRuleComparator } from '../../../_models';
import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { MatDialog } from '@angular/material/dialog';
export declare class RolloutRulesComponent {
    private dialog;
    formGroup: FormGroup;
    readOnly: boolean;
    maxRolloutRuleCount: number;
    showVariationId: boolean;
    SettingType: {
        Boolean: SettingType;
        String: SettingType;
        Int: SettingType;
        Double: SettingType;
    };
    defaultComparisonAttributes: string[];
    rolloutRuleComparators: {
        value: RolloutRuleComparator;
        label: string;
    }[];
    constructor(dialog: MatDialog);
    onlyFirstTooltip(): boolean;
    setting(): any;
    rolloutRules(): FormArray;
    comparisonAttributes(): any;
    removeRule(index: any): void;
    onDrop(event: CdkDragDrop<string[]>): void;
    attributeChanged(event: any, comparisonAttribute: FormControl): void;
    getPlaceHolder(rolloutRule: any): "" | "id1, id2, id3" | "mr.cat@configcat.com,mrs.cat@configcat.com" | "USA,UK" | "value1, value2, value3" | "part-of-id" | "@configcat.com" | "United" | "part-of-value" | "1.0.0, 2.0.1" | "1.0.0" | "0";
    getComparisonValueType(rolloutRule: any): "number" | "text";
    comparatorChanged(rolloutRule: any): void;
    isListType(rolloutRule: any): boolean;
    validateSemVer(c: FormControl): {
        validateSemVer: {
            valid: boolean;
        };
    };
    validateSemVerList(c: FormControl): {
        validateSemVerList: {
            valid: boolean;
        };
    };
    popOut(rolloutRule: any): void;
    trackByIndex(index: number): any;
}
